## org.eclipse.jet.taglib
Class AbstractContainerTag

    java.lang.Object
      org.eclipse.jet.taglib.AbstractCustomTag
          org.eclipse.jet.taglib.AbstractContainerTag

All Implemented Interfaces:
  ContainerTag, CustomTag, EmptyTag

Direct Known Subclasses:
  AbstractConditionalTag, AbstractIteratingTag

    public abstract class AbstractContainerTag

extends AbstractCustomTag
implements ContainerTag

An abstract implementation of `ContainerTag`.

Constructor Summary
`AbstractContainerTag()`

Method Summary
`void` `doAction(TagInfo td, JET2Context context, JET2Writer out)` Default implementation of `EmptyTag.doAction(TagInfo, JET2Context, JET2Writer)` that simply calls `ContainerTag.doBeforeBody(TagInfo, JET2Context, JET2Writer)` and then `ContainerTag.doAfterBody(TagInfo, JET2Context, JET2Writer)`.
`CustomTagKind` `getKind()` Return the kind of the custom tag
`void` `setBodyContent(JET2Writer bodyContent)` Default implementation of `ContainerTag.setBodyContent(JET2Writer)` that writes body content to the tag's output.

Methods inherited from class org.eclipse.jet.taglib.AbstractCustomTag
`getAttribute, getOut, getParent, getRawAttribute, setContext, setOut, setParent, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.ContainerTag
`doAfterBody, doBeforeBody`

Constructor Detail

### AbstractContainerTag

    public AbstractContainerTag()

Method Detail

### getKind

    public CustomTagKind getKind()

  Description copied from interface: `CustomTag`
  Return the kind of the custom tag

  Specified by:
    `getKind` in interface `CustomTag`
  Returns:
    `CustomTagKind.CONTAINER`
  See Also:
    `CustomTagKind`

### setBodyContent

    public void setBodyContent(JET2Writer bodyContent)

  Default implementation of `ContainerTag.setBodyContent(JET2Writer)` that writes body content to the tag's output.

  Specified by:
    `setBodyContent` in interface `ContainerTag`

### doAction

    public void doAction(TagInfo td,
                         JET2Context context,
                         JET2Writer out)
                  throws JET2TagException

  Default implementation of `EmptyTag.doAction(TagInfo, JET2Context, JET2Writer)` that simply calls `ContainerTag.doBeforeBody(TagInfo, JET2Context, JET2Writer)` and then `ContainerTag.doAfterBody(TagInfo, JET2Context, JET2Writer)`. This method (or subclassed versions) are only ever called if the tag is declared in the extension point with the 'allowAsEmpty' set to `true`.

  Specified by:
    `doAction` in interface `EmptyTag`
  Parameters:
    `td` - the tag information (attribute values, etc)
    `context` - the JET2 execution context
    `out` - the current output writer.
  Throws:
    `JET2TagException` - if an error occurs

Copyright 2006 IBM Corporation and others. All Rights Reserved.